database_api.list_smt_contributions
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
SMT 기여 (contribution)를 나열합니다. 기여는 ICO 단계에서 SMT에 대한 개별 기여를 추적하는 데 필요합니다. 파라미터: start:array; limit:int; order:string
start는order에 따라 달라집니다 (아래 참고)limit는 최대 1000입니다.order는 다음 중 하나:by_symbol_id- 심볼 (symbol) 순by_symbol_contributor-symbol,contributor,contribution_id순
| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | 기여 10개를, 심볼·id 순으로 나열합니다 | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | 기여 10개를, 심볼·기여자·id 순으로 나열합니다 |
참고: Token Units, Vesting Contributions
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_symbol_id"
}⚠ 이 메서드는 지원 중단 (deprecated, SMT 시대)되었으며 더 이상 퍼블릭 노드에서 제공되지 않습니다.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
0
],
"limit": 10,
"order": "by_symbol_id"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_contributions",
"params": {
"start": [
{
"nai": "@@422838704",
"decimals": 0
},
"alice",
0
],
"limit": 10,
"order": "by_symbol_contributor"
},
"id": 1
}'Response
RESPONSE
json
{
"contributions": [
{
"id": 0,
"symbol": {
"nai": "@@422838704",
"decimals": 0
},
"contributor": "alice",
"contribution_id": 0,
"contribution": {
"amount": "1000",
"precision": 3,
"nai": "@@000000021"
}
}
]
}